// -*-c++-*-
//
// Copyright 2001 Novint Technologies, Inc. All rights reserved.
// Available only under license from Novint Technologies, Inc.
//
// orientation.cpp -- contains the etOrientation class implementation.
//
// $Revision: #1 $
// $Change: 6254 $
//

#include "../stdafx.h"
#include "orientation.h"
#include "quaternion.h"

const double etOrientation::PI = 3.1415926535897932384626433832795;

etOrientation etOrientation::operator+(const etOrientation& other) const
{
    etQuaternion l_this(*this);
    etQuaternion l_other(other);
    etQuaternion l_result = l_this * l_other;
    return l_result.toOrientation();
}
